#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
""" Test for the various types of ALMA ingestion manifests """

# pylint: disable=E0401

import pytest


@pytest.mark.skip("TODO: test_builds_alma_sdm_manifest")
def test_builds_alma_sdm_manifest():
    """
    Have we built a well-formed ALMA SDM ingestion manifest?

    :return:
    """
    raise NotImplementedError


@pytest.mark.skip("TODO: test_builds_alma_cal_manifest")
def test_builds_alma_cal_manifest():
    """
    Have we built a well-formed ALMA calibration ingestion manifest?

    :return:
    """
    raise NotImplementedError


@pytest.mark.skip("TODO: test_builds_alma_cal_manifest")
def test_builds_alma_audi_manifest():
    """
    Have we built a well-formed ALMA image ingestion manifest?

    :return:
    """
    raise NotImplementedError
