#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
from behave import given, then, when


@given(u"the notification system is online")
def step_impl(context):
    # TODO:
    raise NotImplementedError(u"STEP: Given the notification system is online")


@when(u"download is completed")
def step_impl(context):
    # TODO:
    raise NotImplementedError(u"STEP: When the download is completed")


@then(u"the download-complete notification is sent")
def step_impl():
    # TODO:
    raise NotImplementedError(u"STEP: Then the download-complete notification is sent")
